<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.openarchives.org/OAI/2.0/provenance" 
  xmlns="http://www.w3.org/2001/XMLSchema" 
  xmlns:provenance="http://www.openarchives.org/OAI/2.0/provenance" 
  elementFormDefault="qualified" attributeFormDefault="unqualified">
	
  <xs:annotation>
    <xs:documentation>
      Schema for the description of the provenance of metadata that is 
      re-exposed by an OAI repository, i.e. metadata that has previously 
      been harvested before being exposed by the repository.
      See: http://www.openarchives.org/OAI/2.0/guidelines-branding.htm
      Validated with http://www.w3.org/2001/03/webdata/xsv on 16May2002
      Simeon Warner - $Date: 2002/05/16 19:48:39 $
     </xs:documentation>
   </xs:annotation>

  <xs:element name="provenance">
    <xs:complexType>
      <xs:sequence>
        <xs:element name="originDescription"
                 type="provenance:originDescriptionType"/>
      </xs:sequence>
    </xs:complexType>
  </xs:element>

  <xs:complexType name="originDescriptionType">
    <xs:sequence>
      <xs:element name="baseURL" type="anyURI"/>
      <xs:element name="identifier" type="anyURI"/>
      <xs:element name="datestamp" type="provenance:UTCdatetimeType"/>
      <xs:element name="metadataNamespace" type="anyURI"/>
      <xs:element name="originDescription" minOccurs="0" 
               type="provenance:originDescriptionType"/>
    </xs:sequence>
    <xs:attribute name="harvestDate" type="provenance:UTCdatetimeType" use="required"/>
    <xs:attribute name="altered" type="boolean" use="required"/>
  </xs:complexType>

  <xs:simpleType name="UTCdatetimeType">
    <union memberTypes="date dateTime"/>
  </xs:simpleType>

</xs:schema>